package com.xunhong.erp.turbo.api.biz.api;

import com.xunhong.erp.turbo.api.biz.dto.cmd.ExpenseRecordCreateCmd;
import com.xunhong.erp.turbo.api.biz.dto.cmd.ExpenseRecordUpdateCmd;
import com.xunhong.erp.turbo.api.biz.dto.qry.ExpenseRecordListQry;
import com.xunhong.erp.turbo.api.biz.dto.qry.ExpenseRecordShowQry;
import com.xunhong.erp.turbo.api.biz.dto.vo.ExpenseRecordVO;

import java.util.List;

/**
 * @author shenyifei
 */
public interface ExpenseRecordServiceI {
    ExpenseRecordVO create(ExpenseRecordCreateCmd expenseRecordCreateCmd);

    List<ExpenseRecordVO> list(ExpenseRecordListQry expenseRecordListQry);

    ExpenseRecordVO update(ExpenseRecordUpdateCmd expenseRecordUpdateCmd);

    ExpenseRecordVO show(ExpenseRecordShowQry expenseRecordShowQry);
}

